package BSS;

import java.util.*;

public interface EnvironmentCodes
{
    // HOOKED EVENT CODES
    public static final int EVENT_PUSH              = 3;

    public static final int EVENT_MOTION            = 9;

    public static final int EVENT_GLASS_BREAK       = 10;

    public static final int EVENT_LIFT_CALL         = 12;

    public static final int EVENT_ROBBERY_BTN       = 14;

    public static final int EVENT_ALARM_ON_BTN      = 21;

    public static final int EVENT_ALARM_OFF_BTN     = 24;

    // LAN MESSAGE CODES
    public static final int MSG_LOCK_DOOR           = 1;

    public static final int MSG_UNLOCK_DOOR         = 2;

    public static final int MSG_CLOSE_GATEWAY       = 4;

    public static final int MSG_OPEN_GATEWAY        = 5;

    public static final int MSG_ROOM_SEC_ON         = 6;

    public static final int MSG_ROOM_SEC_OFF        = 7;

    public static final int MSG_SMOKE_ON            = 8;

    public static final int MSG_CAMERA_ON_AUTO_OFF  = 13;

    public static final int MSG_FIRE_SEC_ON         = 15;

    public static final int MSG_FIRE_SEC_OFF        = 16;

    public static final int MSG_CASHMACHINE_SEC_ON  = 17;

    public static final int MSG_CASHMACHINE_SEC_OFF = 18;

    public static final int MSG_CASHDESK_SEC_ON     = 19;

    public static final int MSG_CASHDESK_SEC_OFF    = 20;

    public static final int MSG_PARKING_SEC_OFF     = 22;

    public static final int MSG_BURGLARY            = 25;

    public static final int MSG_INTRUSION           = 26;

    public static final int MSG_ROBBERY             = 27;

    public static final int MSG_RAID                = 28;

    public static final int MSG_UNEXPECT_LIFT_CALL  = 29;

    public static final int MSG_FIRE                = 30;

    public static final int MSG_HIJACK              = 31;

    // LAN REQUEST CODES
    public static final int REQ_ROOM_ON_GUARD       = 34;

    public static final int REQ_ROOM_HAS_PEOPLE     = 35;

    public static final int REQ_ENTRY_IS_LOCKED     = 36;

    public static final int REQ_ENTRY_IS_CLOSED     = 37;

    // SMS MESSAGE CODES
    public static final int SMS_SMOKE_IN_ROOM       = 32;

    public static final int SMS_LOCK_ENTRY          = 33;

    public static final int SMS_OPEN_ENTRY          = 38;

    public static final int SMS_SEC_ON              = 39;

    public static final int SMS_SEC_OFF             = 40;

    public static final int SMS_FIRE_SEC_ON         = 41;

    public static final int SMS_FIRE_SEC_OFF        = 42;

    // DEVICE CODES
    public static final int DEV_CONTACT_SENSOR      = 1;

    public static final int DEV_SMARTCARD_DRIVE     = 2;

    public static final int DEV_LED                 = 3;

    public static final int DEV_LOCK                = 4;

    public static final int DEV_PHOTO_SENSOR        = 5;

    public static final int DEV_MOTOR               = 6;

    public static final int DEV_ENERGIZER           = 7;

    public static final int DEV_METAL_SENSOR        = 8;

    public static final int DEV_KEYBOARD            = 9;

    public static final int DEV_PRINTER             = 10;

    public static final int DEV_FIRE_SENSOR         = 11;

    public static final int DEV_SMUDGE              = 12;

    public static final int DEV_CAMERA              = 13;

    public static final int DEV_INTERFERENCE        = 14;

    public static final int DEV_FIRE_EXTINGUISHER   = 15;

    public static final int DEV_LIFT_CONTROLLER     = 16;

    public static final int DEV_VOLUME_SENSOR       = 17;
}
