package BSS;

import java.util.Map;

public interface Device
{
    public byte getStatus(int device_type, int device_id);

    public void setStatus(int device_type, int device_id, byte status);

    public byte[] readData(int device_type, int device_id);

    public void writeData(int device_type, int device_id, byte[] data);

    public Map loadConfiguration();

    public Message sendMessage(Message msg);

    public void sendSMS(SMS sms);
}
